package blockchain

import (
	"math/big"

	"github.com/ethereum/go-ethereum/common"
)

const (
	TOPIC_PARTICIPATE    = "0x8ed860f76da405897619eab937f09dcb4d0d9b56cf68a3d489130a2489cf151f"
	COLLECT_PARTICIPATE  = "Participate"
	COLLECT_CLAIMREWARDS = "Claim"
	COLLECTCONTRACT      = "0xC6Ff5462e5409d11AF6B080ADC3dc0a17E94b0A6"
	CONFIRMINTERVAL      = 450
)

type EventParticipate struct {
	Participant common.Address
	Inviter     common.Address
	Amount      *big.Int
}
type EventClaim struct {
	User      common.Address
	Amount    *big.Int
	Signature []byte
}
